loci.formats.in

## Class ZeissCZIReader.SubBlock

- java.lang.Object
- - loci.formats.in.ZeissCZIReader.Segment
  - - loci.formats.in.ZeissCZIReader.SubBlock

- Enclosing class:
    ZeissCZIReader

      class ZeissCZIReader.SubBlock
      extends ZeissCZIReader.Segment

  Segment with ID "ZISRAWSUBBLOCK".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `attachmentSize`
    `int` | `col`
    `int` | `coreIndex`
    `private long` | `dataOffset`
    `long` | `dataSize`
    `ZeissCZIReader.DirectoryEntry` | `directoryEntry`
    `private java.lang.Double` | `exposureTime`
    `java.lang.String` | `metadata`
    `int` | `metadataSize`
    `int` | `pixelTypeIndex`
    `int` | `planeIndex`
    `int` | `resolutionIndex`
    `int` | `row`
    `private ome.units.quantity.Length` | `stageX`
    `private ome.units.quantity.Length` | `stageY`
    `private ome.units.quantity.Length` | `stageZ`
    `private java.lang.Double` | `timestamp`
    `int` | `x`
    `int` | `y`

    - ### Fields inherited from class loci.formats.in.ZeissCZIReader.Segment

      `allocatedSize, filename, id, startingPosition, stream, usedSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubBlock()`
    `SubBlock(ZeissCZIReader.SubBlock model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillInData()`
    `int` | `getPhysicalHeight()`
    `int` | `getPhysicalWidth()`
    `private void` | `parseMetadata()`
    `byte[]` | `readPixelData()`
    `byte[]` | `readPixelData(loci.common.RandomAccessInputStream s)`
    `byte[]` | `readPixelData(loci.common.RandomAccessInputStream s, loci.common.Region tile, byte[] buf)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class loci.formats.in.ZeissCZIReader.Segment

      `close, getStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metadataSize

          public int metadataSize

    - #### attachmentSize

          public int attachmentSize

    - #### dataSize

          public long dataSize

    - #### directoryEntry

          public ZeissCZIReader.DirectoryEntry directoryEntry

    - #### metadata

          public java.lang.String metadata

    - #### coreIndex

          public int coreIndex

    - #### resolutionIndex

          public int resolutionIndex

    - #### planeIndex

          public int planeIndex

    - #### pixelTypeIndex

          public int pixelTypeIndex

    - #### dataOffset

          private long dataOffset

    - #### stageX

          private ome.units.quantity.Length stageX

    - #### stageY

          private ome.units.quantity.Length stageY

    - #### stageZ

          private ome.units.quantity.Length stageZ

    - #### timestamp

          private java.lang.Double timestamp

    - #### exposureTime

          private java.lang.Double exposureTime

    - #### x

          public int x

    - #### y

          public int y

    - #### row

          public int row

    - #### col

          public int col

  - ### Constructor Detail

    - #### SubBlock

          public SubBlock()

    - #### SubBlock

          public SubBlock(ZeissCZIReader.SubBlock model)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### fillInData

          public void fillInData()
                          throws java.io.IOException

      Overrides:
        `fillInData` in class `ZeissCZIReader.Segment`
      Throws:
        `java.io.IOException`

    - #### readPixelData

          public byte[] readPixelData()
                               throws FormatException,
                                      java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readPixelData

          public byte[] readPixelData(loci.common.RandomAccessInputStream s)
                               throws FormatException,
                                      java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readPixelData

          public byte[] readPixelData(loci.common.RandomAccessInputStream s,
                                      loci.common.Region tile,
                                      byte[] buf)
                               throws FormatException,
                                      java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getPhysicalWidth

          public int getPhysicalWidth()
                               throws FormatException

      Throws:
        `FormatException`

    - #### getPhysicalHeight

          public int getPhysicalHeight()
                                throws FormatException

      Throws:
        `FormatException`

    - #### parseMetadata

          private void parseMetadata()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment